Get a canon element
Módulo Canon
GET/canon/elements/{element_id}canonElements.get
A catalog element, the unit of the catalog. Returns one canon element with its `ETag`. A canon element the caller may not see returns 404.
- Requiere la capacidad canon.taxonomy.read.
- Alcances de OAuth: canon.
- Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| element_id | ItemId | Sí | Catalog item identifier `{URID}-{ORG}-{SEQ}` (Section 3.6).Restricciones: pattern ^[0-9]000\.[0-9]{2}\.[0-9]{2}-[A-Z0-9]+-[0-9]+$ |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
Respuesta 200: CanonElement
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| element_id | ItemId | Sí | Catalog item identifier `{URID}-{ORG}-{SEQ}` (Section 3.6).Restricciones: pattern ^[0-9]000\.[0-9]{2}\.[0-9]{2}-[A-Z0-9]+-[0-9]+$ |
| urid | Urid | Sí | Category URID `DDDD.DD.DD` from `xpms.dim_category` (Section 3.3). There is no fourth segment.Restricciones: pattern ^[0-9]000\.[0-9]{2}\.[0-9]{2}$ |
| item | string | Sí | Element name.Restricciones: length 1 to 200 |
| common_name | string | null | Sí | Common name.Restricciones: length 1 to 200 |
| kind | string | Sí | Element kind.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$ |
| unit_basis | string | Sí | Unit basis of the element.Restricciones: length 1 to 64 |
| xyz | Xyz | Sí | XYZ schema-family tag (Section 3.6): X Resource, Y Process, Z Timeline.Restricciones: pattern ^[XYZ]$ |
| xyz_basis | string | Sí | Basis for the XYZ tag.Restricciones: length 1 to 300 |
| grade | string | Sí | Experience grade of the element: Standard, Base, Elevated or Premium.Restricciones: pattern ^[A-Z0-9][A-Za-z0-9&'/.()-]*( [A-Za-z0-9&'/.()-]+)*$ |
| description | string | null | Sí | Description, sentence case.Restricciones: length 1 to 4000 |
| specification | string | null | Sí | Specification.Restricciones: length 1 to 4000 |
| tier_code | TierCode | Sí | Tier of experience code from `xpms.dim_tier`.Restricciones: pattern ^[0-9]{2}$ |
| lead_time_hours | number | null | Sí | Lead time in hours. |
| crew | string | null | Sí | Crew the element needs.Restricciones: length 1 to 300 |
| unspsc | string | null | Sí | UNSPSC identifier; recorded, never minted.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$ |
| lifecycle_state | string | Sí | Lifecycle state from the shared vocabulary.Restricciones: pattern ^[A-Z0-9][A-Za-z0-9&'/.()-]*( [A-Za-z0-9&'/.()-]+)*$ |
| purchase_account | GlAccountCode | null | Sí | |
| default_cost_center | string | null | Sí | Default cost center (dimension 1) of the element.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$ |
| external_ref | string | null | Sí | External reference of the element.Restricciones: length 1 to 200 |
{
"element_id": "4000.01.01-XPMS-001",
"urid": "4000.01.01",
"item": "Ground Stage Deck",
"common_name": "Stage deck",
"kind": "rental",
"unit_basis": "ea",
"xyz": "X",
"xyz_basis": "Physical inventory",
"grade": "Standard",
"description": "Line array for outdoor stages.",
"specification": "12 cabinets per side.",
"tier_code": "04",
"lead_time_hours": 48,
"crew": "2 audio technicians",
"unspsc": "52161512",
"lifecycle_state": "Active",
"purchase_account": "5400",
"default_cost_center": "CC-CORP",
"external_ref": "TECH-VIDO-CAMR-001 · 5000.050.00"
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/canon/elements/4000.01.01-XPMS-001" \
-H "Authorization: Bearer $XOS_API_KEY"const { data, etag } = await xos.canonElements.get("4000.01.01-XPMS-001");response = xos.canon_elements.get("4000.01.01-XPMS-001")xos canon-elements get 4000.01.01-XPMS-001